• Do not register here on develop.twiki.org, login with your twiki.org account.
• Use View topic Item7848 for generic doc work for TWiki-6.1.1. Use View topic Item7851 for doc work on extensions that are not part of a release. More... Close
• Anything you create or change in standard webs (Main, TWiki, Sandbox etc) will be automatically reverted on every SVN update.
Does this site look broken?. Use the LitterTray web for test cases.

Item5567: TagMePlugin needs to use Plugins API

Item Form Data

AppliesTo: Component: Priority: CurrentState: WaitingFor: TargetRelease ReleasedIn
Extension TagMePlugin Normal Closed TWiki:Main.GilmarSantosJr n/a  

Edit Form Data

Summary:
Reported By:
Codebase:
Applies To:
Component:
Priority:
Current State:
Waiting For:
Target Release:
Released In:
 

Detail

TagMePlugin needs to use the Plugins API. See TWiki:Codev.TWikiStandAlone for the problem case. For example,
     my $query = $TWiki::Plugins::SESSION->{cgiQuery};
     my $tagMode = $query->param('tagmode') || ''; 

Should use $TWiki::Func::getCgiQuery instead.

-- TWiki:Main/WoutMertens - 24 Apr 2008

I replaced all occurrences of $TWiki::Plugins::SESSION->{cgiQuery} by TWiki::Func::getCgiQuery() and now it's working.

-- TWiki:Main.GilmarSantosJr - 27 Apr 2008

ItemTemplate
Summary TagMePlugin needs to use Plugins API
ReportedBy TWiki:Main.WoutMertens
Codebase 4.2.1
SVN Range TWiki-5.0.0, Tue, 15 Apr 2008, build 16676
AppliesTo Extension
Component TagMePlugin
Priority Normal
CurrentState Closed
WaitingFor TWiki:Main.GilmarSantosJr
Checkins TWikirev:16731
TargetRelease n/a
ReleasedIn

Edit | Attach | Watch | Print version | History: r4 < r3 < r2 < r1 | Backlinks | Raw View | Raw edit | More topic actions
Topic revision: r4 - 2008-05-24 - KennethLavrsen
 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright © 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback